> For the complete documentation index, see [llms.txt](https://docs.snomed.org/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.snomed.org/snomed-ct-specifications/snomed-ct-release-file-specification/component-release-file-specification/4.2-file-format-specifications/metadata-files.md).

# Metadata Files

These files provide standardized ways of providing users with Metadata regarding the Release Package and the SNOMED CT components contained therein.

## "release-package-information.json" file

These files are located in the top-level directory of the SNOMED CT Release packages, and contain various information related to the specific Release package in which they reside.

**release-package-information-.json file - Detailed Specification**

<table><thead><tr><th width="230.17498779296875">Field</th><th width="140.21875">Data Type</th><th>Purpose</th></tr></thead><tbody><tr><td>effectiveTime</td><td>String</td><td><p>Specifies the inclusive date at which the package has been versioned</p><p><strong>Note</strong> : In distribution files the effectiveTime should follow the short ISO date format (<em>YYYYMMDD</em>)</p></td></tr><tr><td>previousPublishedPackage</td><td>String</td><td>The name of the last Release package to have been published for this specific SNOMED CT Product</td></tr><tr><td>licenceStatement</td><td>String</td><td>The licence statement that applies to this particular version of the Product, and which must be adhered to when using the package.</td></tr><tr><td>languageRefsets</td><td>String</td><td>Details of all language refsets included within the package (eg)                                                                                <br><em>{</em><br><em>"id": "900000000000508004",</em><br><em>"term": "Great Britain English language reference set"</em><br><em>},</em><br><em>{</em><br><em>"id": "900000000000509007",</em><br><em>"term": "United States of America English language reference set"</em><br><em>}</em></td></tr><tr><td>packageComposition</td><td>String</td><td></td></tr><tr><td>      essentialComponents</td><td>String</td><td>Any information useful to the users, regarding  components that are a mandatory part of each version of the package. </td></tr><tr><td>      optionalComponents</td><td>String</td><td>Bespoke fields can be created in this section in order to provide users with any additional information that may be specific about this particular Product, especially in regard to components that might (but don't have to) be included in each version of the package.  See below for examples:   </td></tr><tr><td>                        <sub>MapDirectionality</sub></td><td><sub>String</sub></td><td><sub>States which direction each map file is mapped in (eg) <em>SNOMED to external product</em>, or <em>external product to SNOMED</em></sub></td></tr><tr><td>                   <sub>SNOMEDMapSource</sub></td><td><sub>String</sub></td><td><sub>The version of SNOMED CT that the map is based upon (eg) <em>SNOMED CT version 20250701, released July 2025</em></sub></td></tr><tr><td>                     <sub>externalMapSource</sub></td><td><sub>String</sub></td><td><sub>The version of the external product upon which the map is based (eg) <em>Orphanet version July 2025</em></sub></td></tr><tr><td>                                 <sub>dependency</sub></td><td><sub>String</sub></td><td><sub>The external product version upon which this package is dependent</sub> </td></tr><tr><td></td><td></td><td></td></tr></tbody></table>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.snomed.org/snomed-ct-specifications/snomed-ct-release-file-specification/component-release-file-specification/4.2-file-format-specifications/metadata-files.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
